/* Switched to V7 system call layout... Chad - 1/5/96
 */
#ifndef S_SPLINT_S
#asm

!	The call table - autogenerated from syscall.dat

	.data
sys_call_table:
	.word _no_syscall        !   0 - unassigned
	.word _sys_exit          !   1
	.word _sys_fork          !   2
	.word _sys_read          !   3
	.word _sys_write         !   4
	.word _sys_open          !   5
	.word _sys_close         !   6
	.word _sys_wait4         !   7
	.word _no_syscall        !   8 - unassigned
	.word _sys_link          !   9
	.word _sys_unlink        !  10
	.word _sys_execve        !  11
	.word _sys_chdir         !  12
	.word _no_syscall        !  13 - unassigned
	.word _sys_mknod         !  14
	.word _sys_chmod         !  15
	.word _sys_chown         !  16
	.word _sys_brk           !  17
	.word _sys_stat          !  18
	.word _sys_lseek         !  19
	.word _sys_getpid        !  20
	.word _sys_mount         !  21
	.word _sys_umount        !  22
	.word _sys_setuid        !  23
	.word _sys_getuid        !  24
	.word _no_syscall        !  25 - unassigned
	.word _no_syscall        !  26 - ptrace
	.word _no_syscall        !  27 - alarm
	.word _sys_fstat         !  28
	.word _no_syscall        !  29 - pause
	.word _sys_utime         !  30
	.word _sys_chroot        !  31
	.word _sys_vfork         !  32
	.word _sys_access        !  33
	.word _no_syscall        !  34 - nice
	.word _no_syscall        !  35 - sleep
	.word _sys_sync          !  36
	.word _sys_kill          !  37
	.word _sys_rename        !  38
	.word _sys_mkdir         !  39
	.word _sys_rmdir         !  40
	.word _sys_dup           !  41
	.word _sys_pipe          !  42
	.word _no_syscall        !  43 - times
	.word _no_syscall        !  44 - profil
	.word _sys_dup2          !  45
	.word _sys_setgid        !  46
	.word _no_syscall        !  47 - getgid
	.word _sys_signal        !  48
	.word _no_syscall        !  49 - getinfo
	.word _sys_fcntl         !  50
	.word _no_syscall        !  51 - acct
	.word _no_syscall        !  52 - unassigned
	.word _no_syscall        !  53 - lock
	.word _sys_ioctl         !  54
	.word _sys_reboot        !  55
	.word _no_syscall        !  56 - unassigned
	.word _sys_lstat         !  57
	.word _sys_symlink       !  58
	.word _sys_readlink      !  59
	.word _sys_umask         !  60
	.word _sys_settimeofday  !  61
	.word _sys_gettimeofday  !  62
	.word _sys_select        !  63
	.word _sys_readdir       !  64
	.word _no_syscall        !  65 - unassigned
	.word _sys_fchown        !  66
	.word _sys_dlload        !  67
	.word _sys_setsid        !  68
	.word _sys_socket        !  69
	.word _sys_bind          !  70
	.word _sys_listen        !  71
	.word _sys_accept        !  72
	.word _sys_connect       !  73
#ifdef CONFIG_SYS_VERSION
	.word _sys_knlvsn        !  74
#endif

sys_call_table_end:

!	Despatch a syscall (called from syscall_int)
!	Entry: ax=function code, stack contains parameters

	.text
	.globl _syscall

_syscall:
	cmp  ax,#((sys_call_table_end - sys_call_table)/2)
	ja   _nsyscall
	! look up address and jump to function
	mov  bx,ax
	shl  bx,#1		! multiply by 2
	add  bx,#sys_call_table
	j    [bx]

!	All unimplemented calls
	
_nsyscall:
	br  _no_syscall

#endasm
#endif
